| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Functions
Objects Representing Phases

High-level interface to Cantera's core objects. More...

## Detailed Description

High-level interface to Cantera's core objects.

## Classes
class | Interface
| A container class for chemically-reacting interfaces. More...
class | Solution
| A container class for chemically-reacting solutions. More...
class | SolutionArray
| A container class holding arrays of state information. More...

## Functions
shared_ptr< Interface > | newInterface (const string &infile, const string &name="", const vector< string > &adjacent={})
| Create and initialize a new Interface from an input file.
shared_ptr< Interface > | newInterface (const string &infile, const string &name, const vector< shared_ptr< Solution > > &adjacent)
| Create and initialize a new Interface from an input file.
shared_ptr< Interface > | newInterface (AnyMap &phaseNode, const AnyMap &rootNode=AnyMap(), const vector< shared_ptr< Solution > > &adjacent={})
| Create and initialize a new Interface from AnyMap objects.
shared_ptr< Solution > | newSolution (const string &infile, const string &name, const string &transport, const vector< string > &adjacent)
| Create and initialize a new Solution from an input file.
shared_ptr< Solution > | newSolution (const string &infile, const string &name="", const string &transport="", const vector< shared_ptr< Solution > > &adjacent={})
| Create and initialize a new Solution manager from an input file.
shared_ptr< Solution > | newSolution (const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap(), const string &transport="", const vector< shared_ptr< Solution > > &adjacent={}, const map< string, shared_ptr< Solution > > &related={})
| Create and initialize a new Solution manager from AnyMap objects.

## Function Documentation

## ◆ newInterface() [1/3]

shared_ptr< Interface > newInterface | ( | const string & | infile,
|  | const string & | name = `""`,
|  | const vector< string > & | adjacent = `{}`
| ) |  |

Create and initialize a new Interface from an input file.

This constructor wraps newThermo() and newKinetics()

Parameters

  infile | name of the input file
  name | name of the surface phase in the file. If this is blank, the first phase in the file is used.
  adjacent | vector containing names of adjacent phases that participate in this phases kinetics. If empty, adjacent phases will be instantiated based on the phase definition.

Returns
  an initialized Interface object.

Definition at line 35 of file Interface.cpp.

## ◆ newInterface() [2/3]

shared_ptr< Interface > newInterface | ( | const string & | infile,
|  | const string & | name,
|  | const vector< shared_ptr< Solution > > & | adjacent
| ) |  |

Create and initialize a new Interface from an input file.

This constructor wraps newThermo() and newKinetics()

Parameters

  infile | name of the input file
  name | name of the phase in the file. If this is the empty string, the first phase in the file is used.
  adjacent | vector containing adjacent Solution objects. If empty, adjacent phases will be instantiated based on the phase definition.

Returns
  an initialized Interface object.

Definition at line 49 of file Interface.cpp.

## ◆ newInterface() [3/3]

shared_ptr< Interface > newInterface | ( | AnyMap & | phaseNode,
|  | const AnyMap & | rootNode = `AnyMap()`,
|  | const vector< shared_ptr< Solution > > & | adjacent = `{}`
| ) |  |

Create and initialize a new Interface from AnyMap objects.

This constructor wraps newThermo() and newKinetics()

Parameters

  phaseNode | the node containing the phase definition (that is, thermo model, list of species, and initial state)
  rootNode | the root node of the tree containing the phase definition, which will be used as the default location from which to read species definitions.
  adjacent | vector containing adjacent Solution objects. If empty, adjacent phases will be instantiated based on the phase definition.

Returns
  an initialized Interface object.

Definition at line 57 of file Interface.cpp.

## ◆ newSolution() [1/3]

shared_ptr< Solution > newSolution | ( | const string & | infile,
|  | const string & | name,
|  | const string & | transport,
|  | const vector< string > & | adjacent
| ) |  |

Create and initialize a new Solution from an input file.

This constructor wraps newThermo(), newKinetics() and newTransport() routines for initialization.

Parameters

  infile | name of the input file
  name | name of the phase in the file. If this is blank, the first phase in the file is used.
  transport | name of the transport model. If blank, the transport model specified in the phase definition is used.
  adjacent | vector containing names of adjacent phases that participate in this phases kinetics. If empty, adjacent phases will be instantiated based on the phase definition.

Returns
  an initialized Solution object.

Definition at line 207 of file Solution.cpp.

## ◆ newSolution() [2/3]

shared_ptr< Solution > newSolution | ( | const string & | infile,
|  | const string & | name = `""`,
|  | const string & | transport = `""`,
|  | const vector< shared_ptr< Solution > > & | adjacent = `{}`
| ) |  |

Create and initialize a new Solution manager from an input file.

This constructor wraps newThermo(), newKinetics() and newTransport() routines for initialization.

Parameters

  infile | name of the input file
  name | name of the phase in the file. If this is blank, the first phase in the file is used.
  transport | name of the transport model.
  adjacent | vector containing adjacent Solution objects. If empty, adjacent phases will be instantiated based on the phase definition.

Returns
  an initialized Solution object.

Definition at line 182 of file Solution.cpp.

## ◆ newSolution() [3/3]

shared_ptr< Solution > newSolution | ( | const AnyMap & | phaseNode,
|  | const AnyMap & | rootNode = `AnyMap()`,
|  | const string & | transport = `""`,
|  | const vector< shared_ptr< Solution > > & | adjacent = `{}`,
|  | const map< string, shared_ptr< Solution > > & | related = `{}`
| ) |  |

Create and initialize a new Solution manager from AnyMap objects.

This constructor wraps newThermo(), newKinetics() and newTransport() routines for initialization.

Parameters

  phaseNode | the node containing the phase definition (that is, thermo model, list of species, and initial state)
  rootNode | the root node of the tree containing the phase definition, which will be used as the default location from which to read species definitions.
  transport | name of the transport model.
  adjacent | vector containing adjacent Solution objects. If empty, adjacent phases will be instantiated based on the phase definition.
  related | vector of phases related to the same root Solution object. Used internally by newSolution() when creating complex interfaces where a phase may be adjacent to multiple other phases but should be instantiated only once.

Returns
  an initialized Solution object.

Definition at line 222 of file Solution.cpp.